package com.wyattjmiller

import io.ktor.server.application.*
import com.wyattjmiller.plugins.*
import com.wyattjmiller.routes.AuthorRoute.Companion.authorRoutes
import com.wyattjmiller.routes.RecipeRoute.Companion.recipeRoutes
import com.wyattjmiller.routes.UserRoute.Companion.userRoutes

fun main(args: Array<String>): Unit =
    io.ktor.server.netty.EngineMain.main(args)

@Suppress("unused") // application.conf references the main function. This annotation prevents the IDE from marking it as unused.
fun Application.module() {
    //val config = this.environment.config

    configureAuthentication()
    configureSerialization()
    configureRouting()
}
